class Mass3D:
    """Class for an msd3D mass"""
    
    def __init__(self):
        self.id = "mass"
        self.fixed = False
        self.mass = 0
        self.position = (0, 0, 0)
        self.frequency = 0
        self.size = 0
    
    def get_msd_setup_message(self):
       msd_msg = "mass " + self.id
       if self.fixed == True:
           msd_msg += " 0"
       else:
           msd_msg += " 1"
       msd_msg += " " + str(self.mass)
       msd_msg += " " + str(self.position[0])
       msd_msg += " " + str(self.position[1])
       msd_msg += " " + str(self.position[2])
       
       return msd_msg
       
       